Missing Libraries for Installing Currency

I’m trying to install the Currency module, but I’ve found that some of the PHP libraries that it depends on no longer exist. I’ve added the dependencies that it needs through composer (found here at Packagist). I’ve looked at the GitHub path where the library (drupal/plugin) should be, but that repository leads to a 404 error. I’ve installed the Plugin module and the rest of the dependencies (commercie/currency, commercie/currency-exchange), but it still says that there is a composer dependency that is missing.

Anyone running into this issue installing Currency?

Drupal version: 


Source: https://www.drupal.org/taxonomy/term/22/feed